## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global apiver 2

Name:           libpeas
Version:        1.99.0
Release:        %autorelease
Summary:        Plug-ins implementation convenience library

License:        LGPL-2.1-or-later
URL:            https://wiki.gnome.org/Projects/Libpeas
Source0:        https://download.gnome.org/sources/%{name}/1.99/%{name}-%{version}.tar.xz
# https://gitlab.gnome.org/GNOME/libpeas/-/issues/32
Patch0:         libpeas-1.99.0-test-assert.patch

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  gi-docgen
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gjs-1.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(python3-embed)
BuildRequires:  python3-devel
BuildRequires:  /usr/bin/vapigen
BuildRequires:  /usr/bin/xmllint

%description
libpeas is a convenience library making adding plug-ins support
to glib-based applications.

%package loader-gjs
Summary:        GJS loader for libpeas
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gjs

%description loader-gjs
This package contains the GJS loader that is needed to
run JavaScript plugins that use libpeas.

%package loader-python
Summary:        Python loader for libpeas
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       python3-gobject

%description loader-python
This package contains the Python loader that is needed to
run Python plugins that use libpeas.

%package devel
Summary:        Development files for libpeas
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains development libraries and header files
that are needed to write applications that use libpeas.

%prep
%autosetup -p1

%build
# https://gitlab.gnome.org/GNOME/libpeas/-/issues/48
sed -i 's/-Werror=redundant-decls//' meson.build
%meson \
  -Dgtk_doc=true \
  -Dlua51=false \
  -Dvapi=true

%meson_build

%check
%meson_test

%install
%meson_install

%find_lang libpeas-%{apiver}

%files -f libpeas-%{apiver}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_libdir}/libpeas-%{apiver}.so.0*
%dir %{_libdir}/libpeas-%{apiver}/
%dir %{_libdir}/libpeas-%{apiver}/loaders
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Peas-%{apiver}.typelib

%files loader-gjs
%{_libdir}/libpeas-%{apiver}/loaders/libgjsloader.so

%files loader-python
%{_libdir}/libpeas-%{apiver}/loaders/libpythonloader.so

%files devel
%{_includedir}/libpeas-%{apiver}/
%{_docdir}/libpeas-%{apiver}
%{_libdir}/libpeas-%{apiver}.so
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Peas-%{apiver}.gir
%{_datadir}/vala/
%{_libdir}/pkgconfig/libpeas-%{apiver}.pc

%changelog
* Mon Aug 07 2023 David King <amigadave@amigadave.com> - 1.99.0-1
- Uncommitted changes

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.36.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.36.0-2
- Rebuilt for Python 3.12

* Sun Mar 19 2023 David King <amigadave@amigadave.com> - 1.36.0-1
- Update to 1.36.0

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.34.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.34.0-2
- Ensure correct fonts are installed for HTML docs

* Mon Sep 19 2022 Kalev Lember <klember@redhat.com> - 1.34.0-1
- Update to 1.34.0

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.32.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.32.0-2
- Rebuilt for Python 3.11

* Sat Mar 19 2022 David King <amigadave@amigadave.com> - 1.32.0-1
- Update to 1.32.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.30.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.30.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 14 2021 Bastien Nocera <hadess@hadess.net> - 1.30.0-4
- + libpeas-1.30.0-4 Fix licenses again

* Fri Jun 11 2021 Bastien Nocera <hadess@hadess.net> - 1.30.0-3
- + libpeas-1.30.0-3 Correct license for some of the icons

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.30.0-2
- Rebuilt for Python 3.10

* Mon Mar 22 2021 Kalev Lember <klember@redhat.com> - 1.30.0-1
- Update to 1.30.0

* Mon Mar 22 2021 Kalev Lember <klember@redhat.com> - 1.28.0-3
- Drop unneeded ldconfig_scriptlets macro

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.28.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Sep 12 2020 Kalev Lember <klember@redhat.com> - 1.28.0-1
- Update to 1.28.0

* Tue Aug 04 2020 Bastien Nocera <hadess@hadess.net> - 1.26.0-5
- + libpeas-1.26.0-5 Remove unused Python macro that caused errors on
  install (#1863667)

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.26.0-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.26.0-2
- Rebuilt for Python 3.9

* Fri Mar 06 2020 Kalev Lember <klember@redhat.com> - 1.26.0-1
- Update to 1.26.0

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.25.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Kalev Lember <klember@redhat.com> - 1.25.3-1
- Update to 1.25.3

* Thu Oct 31 2019 Kalev Lember <klember@redhat.com> - 1.24.1-1
- Update to 1.24.1

* Tue Sep 10 2019 Kalev Lember <klember@redhat.com> - 1.24.0-1
- Update to 1.24.0

* Thu Sep 05 2019 Kalev Lember <klember@redhat.com> - 1.23.92-1
- Update to 1.23.92

* Tue Aug 20 2019 Kalev Lember <klember@redhat.com> - 1.23.90.1-4
- Tighten spec file globs to avoid accidental soname bumps in the future

* Tue Aug 20 2019 Kalev Lember <klember@redhat.com> - 1.23.90.1-3
- Revert inadvertent soname bump

* Tue Aug 20 2019 Kalev Lember <klember@redhat.com> - 1.23.90.1-2
- Drop python3 conditionals

* Tue Aug 20 2019 Kalev Lember <klember@redhat.com> - 1.23.90.1-1
- Update to 1.23.90.1
- Switch to the meson build system

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 1.22.0-15
- Rebuilt for Python 3.8

* Thu Aug 01 2019 Bastien Nocera <hadess@hadess.net> - 1.22.0-14
- + libpeas-1.22.0-13 Force disable the Python2 loader, which could still
  be built by accident (#1736043)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 06 2019 Charalampos Stratakis <cstratak@redhat.com> - 1.22.0-12
- Fix FTBFS with Python 3.8

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Nov 15 2018 Miro Hrončok <miro@hroncok.cz> - 1.22.0-10
- https://fedoraproject.org/wiki/Changes/No_more_automagic_Python_bytecompi
  lation_phase_2

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 1.22.0-8
- Rebuilt for Python 3.7

* Wed Jun 06 2018 Bastien Nocera <hadess@hadess.net> - 1.22.0-7
- + libpeas-1.22.0-7 Obsolete libpeas-loader-python

* Thu Mar 22 2018 Bastien Nocera <hadess@hadess.net> - 1.22.0-6
- + libpeas-1.22.0-6 Remove python2 loader, all GNOME apps using libpeas
  were ported to Python3 when ported to GTK+ 3.x

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.22.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Feb 03 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.22.0-4
- Switch to %%ldconfig_scriptlets

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.22.0-3
- Remove obsolete scriptlets

* Thu Nov 30 2017 Merlin Mathesius <mmathesi@redhat.com> - 1.22.0-2
- Cleanup spec file conditionals

* Sun Sep 10 2017 Kalev Lember <klember@redhat.com> - 1.22.0-1
- Update to 1.22.0

* Tue Aug 15 2017 Kalev Lember <klember@redhat.com> - 1.21.0-4
- Update to 1.21.0

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 18 2017 Kalev Lember <klember@redhat.com> - 1.21.0-1
- Update to 1.21.0 git snapshot

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 1.20.0-23
- Rebuild for Python 3.6

* Thu Nov 24 2016 Kalev Lember <klember@redhat.com> - 1.20.0-22
- Fix directory ownership

* Thu Nov 24 2016 Kalev Lember <klember@redhat.com> - 1.20.0-21
- Rename a define for clarity

* Thu Nov 24 2016 Kalev Lember <klember@redhat.com> - 1.20.0-20
- Adapt for python-gobject rename

* Thu Nov 24 2016 Kalev Lember <klember@redhat.com> - 1.20.0-19
- Consistently use macros

* Thu Nov 24 2016 Kalev Lember <klember@redhat.com> - 1.20.0-18
- Keep all BRs together and sorted

* Thu Nov 24 2016 Kalev Lember <klember@redhat.com> - 1.20.0-17
- Update RHEL conditionals

* Thu Nov 24 2016 Kalev Lember <klember@redhat.com> - 1.20.0-16
- Remove lib64 rpaths

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-15
- bump release

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-14
- move pygobject BRs under subpackages

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-13
- disable silent building

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-12
- use %%autosetup

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-11
- split out GTK+ support to the subpackage

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-10
- no need to require gobject-introspection as we have this dependency
  already

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-9
- be more explicit about files

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-8
- add couple of missing BRs

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-7
- use spaces everywhere

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-6
- use %%bcond_* for python3

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-5
- use %%make_build

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-4
- remove all libtool files in libdir

* Tue Nov 08 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.20.0-3
- drop unneeded chrpath calls

* Mon Sep 19 2016 Kalev Lember <klember@redhat.com> - 1.20.0-2
- Don't set group tags

* Mon Sep 19 2016 Kalev Lember <klember@redhat.com> - 1.20.0-1
- Update to 1.20.0

* Sun Mar 20 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.18.0-2
- commit sources

* Sun Mar 20 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.18.0-1
- Update to 1.18.0

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 1.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jan 25 2016 Kalev Lember <klember@redhat.com> - 1.17.0-1
- Update to 1.17.0

* Tue Nov 10 2015 Peter Robinson <pbrobinson@fedoraproject.org> - 1.16.0-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Sep 22 2015 Kalev Lember <klember@redhat.com> - 1.16.0-2
- Use make_install macro

* Tue Sep 22 2015 Kalev Lember <klember@redhat.com> - 1.16.0-1
- Update to 1.16.0

* Fri Jul 03 2015 David King <amigadave@amigadave.com> - 1.15.0-7
- Split out Python 2 and 3 loaders into subpackages (#1226879)

* Fri Jun 26 2015 David King <amigadave@amigadave.com> - 1.15.0-6
- Add Requires for Python plugin support (#750925)

* Thu Jun 25 2015 David King <amigadave@amigadave.com> - 1.15.0-5
- Add README and NEWS to doc

* Thu Jun 25 2015 David King <amigadave@amigadave.com> - 1.15.0-4
- Use pkgconfig for BuildRequires

* Thu Jun 25 2015 David King <amigadave@amigadave.com> - 1.15.0-3
- Use license macro for COPYING

* Thu Jun 25 2015 David King <amigadave@amigadave.com> - 1.15.0-2
- Update URL

* Thu Jun 25 2015 David King <amigadave@amigadave.com> - 1.15.0-1
- Update to 1.15.0

* Wed Jun 24 2015 Kalev Lember <klember@redhat.com> - 1.14.0-3
- Fix the build on RHEL

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 24 2015 Kalev Lember <kalevlember@gmail.com> - 1.14.0-1
- Update to 1.14.0

* Sun Feb 22 2015 Kalev Lember <kalevlember@gmail.com> - 1.13.0-2
- Fix the build

* Mon Feb 16 2015 Richard Hughes <richard@hughsie.com> - 1.13.0-1
- Update to 1.13.0

* Mon Sep 22 2014 Kalev Lember <kalevlember@gmail.com> - 1.12.1-2
- Tighten deps with the _isa macro

* Mon Sep 22 2014 Kalev Lember <kalevlember@gmail.com> - 1.12.1-1
- Update to 1.12.1

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 01 2014 Kalev Lember <kalevlember@gmail.com> - 1.10.1-1
- Update to 1.10.1

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 1.10.0-4
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Slavek Kabrda <bkabrda@redhat.com> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Mon Mar 31 2014 Richard Hughes <richard@hughsie.com> - 1.10.0-1
- Update to 1.10.0

* Wed Feb 05 2014 Adam Williamson <awilliam@redhat.com> - 1.9.0-3
- drop gjs plugin support (upstream patch) and rebuild

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 20 2013 Kalev Lember <kalevlember@gmail.com> - 1.9.0-1
- 1.9.0

* Tue Mar 26 2013 Ignacio Casal Quinteiro <icq@gnome.org> - 1.8.0-1
- 1.8.0

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jan 06 2013 Ignacio Casal Quinteiro <icq@gnome.org> - 1.7.0-2
- python3-gobject-devel does not exits

* Sun Jan 06 2013 Ignacio Casal Quinteiro <icq@gnome.org> - 1.7.0-1
- 1.7.0

* Wed Nov 28 2012 Kalev Lember <kalevlember@gmail.com> - 1.6.2-3
- Remove hardcoded -devel package deps in favour of autogenerated ones

* Wed Nov 28 2012 Kalev Lember <kalevlember@gmail.com> - 1.6.2-2
- Avoid runtime deps on gtk-doc

* Wed Nov 28 2012 Kalev Lember <kalevlember@gmail.com> - 1.6.2-1
- 1.6.2

* Mon Nov 19 2012 Bastien Nocera <hadess@hadess.net> - 1.6.1-2
- Fix source URL

* Mon Nov 19 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 1.6.1-1
- 1.6.1

* Tue Sep 25 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 1.6.0-1
- 1.6.0

* Wed Sep 19 2012 Bastien Nocera <hadess@hadess.net> - 1.5.0-2
- Disable vala, as it was disabled upstream:

* Wed Jul 18 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 1.5.0-1
- 1.5.0

* Thu May 03 2012 Kalev Lember <kalevlember@gmail.com> - 1.4.0-4
- Fix the rpath removal

* Thu May 03 2012 Kalev Lember <kalevlember@gmail.com> - 1.4.0-3
- Re-enable the GJS loader

* Fri Apr 13 2012 Kalev Lember <kalevlember@gmail.com> - 1.4.0-2
- Update BuildRequires for glade3 -> glade rename

* Wed Mar 28 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 1.4.0-1
- 1.4.0

* Fri Mar 02 2012 Matthias Clasen <mclasen@redhat.com> - 1.3.0-5
- fix inverted condition

* Fri Mar 02 2012 Matthias Clasen <mclasen@redhat.com> - 1.3.0-4
- Make seed optional (for rhel)

* Sun Feb 26 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 1.3.0-3
- Do not ship gjs for now as it is broken

* Sat Feb 25 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 1.3.0-2
- No more cloader and explicitely enable vala

* Sat Feb 25 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 1.3.0-1
- 1.3.0

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 29 2011 Ray Strode <rstrode@redhat.com> - 1.2.0-6
- Update to 1.2.0

* Thu Sep 29 2011 Ray Strode <rstrode@redhat.com> - 1.2.0-5
- Update to 1.2.0

* Wed Sep 28 2011 Ray Strode <rstrode@redhat.com> - 1.2.0-4
- Update to 1.2.0

* Wed Sep 28 2011 Ray Strode <rstrode@redhat.com> - 1.2.0-3
- Update to 1.2.0

* Wed Sep 28 2011 Ray Strode <rstrode@redhat.com> - 1.2.0-2
- Update to 1.2.0

* Tue Sep 27 2011 Ray Strode <rstrode@redhat.com> - 1.2.0-1
- Update to 1.2.0

* Wed Aug 31 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 1.1.3-1
- 1.1.3

* Wed Aug 31 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 1.1.2-5
- Rebuild for lastest pygobject 3

* Sun Aug 28 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 1.1.2-4
- Do not use extra patches.

* Sun Aug 28 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 1.1.2-3
- RPMAUTOSPEC: unresolvable merge
